go.mod: use newer version of presotto/fuse

The previous one had a bug that kept fuse from mounting on Linux.

Change-Id: I920636420cbe03245457ad57d6bf94a96869f816
Reviewed-on: https://upspin-review.googlesource.com/c/upspin/+/19720
Reviewed-by: Eric Grosse <grosse@gmail.com>
diff --git a/go.mod b/go.mod
index 70a46ba..e9df22a 100644
--- a/go.mod
+++ b/go.mod
@@ -3,7 +3,7 @@
 go 1.13
 
 require (
-	github.com/presotto/fuse v0.0.0-20220402195114-8303eff2e81d
+	github.com/presotto/fuse v0.0.0-20220404205012-944bbcc73d97
 	github.com/NYTimes/gziphandler v0.0.0-20170916004738-97ae7fbaf816
 	github.com/golang/protobuf v0.0.0-20171021043952-1643683e1b54
 	github.com/kr/pretty v0.1.0 // indirect
diff --git a/go.sum b/go.sum
index 155ab79..da3ddad 100644
--- a/go.sum
+++ b/go.sum
@@ -18,6 +18,8 @@
 github.com/presotto/fuse v0.0.0-20220307001854-fc4b2be69f43/go.mod h1:vjhV4Wnt7kY0vn360hioikNp2LXu53SYY2Bsp7REtAs=
 github.com/presotto/fuse v0.0.0-20220402195114-8303eff2e81d h1:ikMgYyz3Mk0sw4jwSY5EjCeZ5emUjPYnfRkXOi7buhA=
 github.com/presotto/fuse v0.0.0-20220402195114-8303eff2e81d/go.mod h1:vjhV4Wnt7kY0vn360hioikNp2LXu53SYY2Bsp7REtAs=
+github.com/presotto/fuse v0.0.0-20220404205012-944bbcc73d97 h1:FWZtn0/GlQMGwNGNVzBOvtvarKGdZcZDOgfloOP/30s=
+github.com/presotto/fuse v0.0.0-20220404205012-944bbcc73d97/go.mod h1:vjhV4Wnt7kY0vn360hioikNp2LXu53SYY2Bsp7REtAs=
 github.com/russross/blackfriday v0.0.0-20171011182219-6d1ef893fcb0 h1:hgS5QyP981zzGr3UYaoHb5+fpgK1lHleAOq5znvfJxU=
 github.com/russross/blackfriday v0.0.0-20171011182219-6d1ef893fcb0/go.mod h1:JO/DiYxRf+HjHt06OyowR9PTA263kcR/rfWxYHBV53g=
 github.com/stretchr/objx v0.1.0/go.mod h1:HFkY916IF+rwdDfMAkV7OtwuqBVzrE8GR6GFx+wExME=